summaryrefslogtreecommitdiff
path: root/dev-libs/libnl
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-libs/libnl
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-libs/libnl')
-rw-r--r--dev-libs/libnl/libnl-1.1.4-r1.ebuild4
-rw-r--r--dev-libs/libnl/libnl-1.1.4.ebuild53
-rw-r--r--dev-libs/libnl/libnl-3.5.0.ebuild29
-rw-r--r--dev-libs/libnl/libnl-99999999.ebuild24
4 files changed, 22 insertions, 88 deletions
diff --git a/dev-libs/libnl/libnl-1.1.4-r1.ebuild b/dev-libs/libnl/libnl-1.1.4-r1.ebuild
index eca1719a5ce8..40141bb55b71 100644
--- a/dev-libs/libnl/libnl-1.1.4-r1.ebuild
+++ b/dev-libs/libnl/libnl-1.1.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -9,7 +9,7 @@ HOMEPAGE="https://www.infradead.org/~tgr/libnl/"
SRC_URI="http://www.infradead.org/~tgr/libnl/files/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="1.1"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc static-libs"
DEPEND="doc? ( app-doc/doxygen )"
diff --git a/dev-libs/libnl/libnl-1.1.4.ebuild b/dev-libs/libnl/libnl-1.1.4.ebuild
deleted file mode 100644
index c408edf1b291..000000000000
--- a/dev-libs/libnl/libnl-1.1.4.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit eutils multilib toolchain-funcs
-
-DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel interfaces"
-HOMEPAGE="https://www.infradead.org/~tgr/libnl/"
-SRC_URI="http://www.infradead.org/~tgr/libnl/files/${P}.tar.gz"
-LICENSE="LGPL-2.1"
-SLOT="1.1"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="doc static-libs"
-
-DEPEND="doc? ( app-doc/doxygen )"
-DOCS=( ChangeLog )
-
-src_prepare() {
- epatch \
- "${FILESDIR}"/${PN}-1.1-vlan-header.patch \
- "${FILESDIR}"/${PN}-1.1-flags.patch \
- "${FILESDIR}"/${PN}-1.1.3-offsetof.patch
- sed -i \
- -e '/@echo/d' \
- Makefile.rules {lib,src,tests}/Makefile || die
- sed -i \
- -e 's|-g ||g' \
- Makefile.opts.in || die
-
- if ! use static-libs; then
- sed -i lib/Makefile -e '/OUT_AR/d' || die
- fi
-
- rm -f lib/libnl.a
-}
-
-src_compile() {
- emake AR=$(tc-getAR)
-
- if use doc ; then
- cd "${S}/doc"
- emake gendoc
- fi
-}
-
-src_install() {
- default
-
- if use doc ; then
- cd "${S}/doc"
- dohtml -r html/*
- fi
-}
diff --git a/dev-libs/libnl/libnl-3.5.0.ebuild b/dev-libs/libnl/libnl-3.5.0.ebuild
index e93abb314164..1b48cb7b125e 100644
--- a/dev-libs/libnl/libnl-3.5.0.ebuild
+++ b/dev-libs/libnl/libnl-3.5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,34 +13,25 @@ LIBNL_DIR=${LIBNL_DIR//./_}
DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel interfaces"
HOMEPAGE="https://www.infradead.org/~tgr/libnl/ https://github.com/thom311/libnl"
-SRC_URI="
- https://github.com/thom311/${PN}/releases/download/${PN}${LIBNL_DIR}/${P/_rc/-rc}.tar.gz
-"
+SRC_URI="https://github.com/thom311/${PN}/releases/download/${PN}${LIBNL_DIR}/${P/_rc/-rc}.tar.gz"
+S="${WORKDIR}/${LIBNL_P}"
+
LICENSE="LGPL-2.1 utils? ( GPL-2 )"
SLOT="3"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="+debug static-libs python +threads utils"
-RDEPEND="
- python? ( ${PYTHON_DEPS} )
-"
-DEPEND="
- ${RDEPEND}
-"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
BDEPEND="
${RDEPEND}
python? ( dev-lang/swig )
sys-devel/bison
sys-devel/flex
"
-REQUIRED_USE="
- python? ( ${PYTHON_REQUIRED_USE} )
-"
-DOCS=(
- ChangeLog
-)
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-S=${WORKDIR}/${LIBNL_P}
+DOCS=( ChangeLog )
MULTILIB_WRAPPED_HEADERS=(
# we do not install CLI stuff for non-native
@@ -103,5 +94,5 @@ multilib_src_install() {
multilib_src_install_all() {
einstalldocs
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}
diff --git a/dev-libs/libnl/libnl-99999999.ebuild b/dev-libs/libnl/libnl-99999999.ebuild
index e32ab2f6568b..a8d597402f52 100644
--- a/dev-libs/libnl/libnl-99999999.ebuild
+++ b/dev-libs/libnl/libnl-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,29 +10,24 @@ inherit autotools distutils-r1 git-r3 multilib-minimal
DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel interfaces"
HOMEPAGE="https://www.infradead.org/~tgr/libnl/ https://github.com/thom311/libnl"
EGIT_REPO_URI="https://github.com/thom311/libnl"
+
LICENSE="LGPL-2.1 utils? ( GPL-2 )"
SLOT="3"
KEYWORDS=""
IUSE="+debug static-libs python +threads utils"
-RDEPEND="
- python? ( ${PYTHON_DEPS} )
-"
-DEPEND="
- ${RDEPEND}
-"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
BDEPEND="
${RDEPEND}
sys-devel/bison
sys-devel/flex
python? ( dev-lang/swig )
"
-REQUIRED_USE="
- python? ( ${PYTHON_REQUIRED_USE} )
-"
-DOCS=(
- ChangeLog
-)
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DOCS=( ChangeLog )
+
MULTILIB_WRAPPED_HEADERS=(
# we do not install CLI stuff for non-native
/usr/include/libnl3/netlink/cli/addr.h
@@ -48,6 +43,7 @@ MULTILIB_WRAPPED_HEADERS=(
/usr/include/libnl3/netlink/cli/tc.h
/usr/include/libnl3/netlink/cli/utils.h
)
+
PATCHES=(
"${FILESDIR}"/${PN}-99999999-2to3.patch
)
@@ -107,5 +103,5 @@ multilib_src_install() {
multilib_src_install_all() {
einstalldocs
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}